Page MenuHomePhabricator

Use of FormatMetadata::formatNum with non-numeric value was deprecated in MediaWiki 1.36. [Called from FormatMetadata::makeFormattedData]
Open, HighPublicPRODUCTION ERROR

Description

message
Use of FormatMetadata::formatNum with non-numeric value was deprecated in MediaWiki 1.36. [Called from FormatMetadata::makeFormattedData]
Impact
Notes

This is from beta cluster. This task is forked from T263592: Use of Language::commafy with a non-numeric string was deprecated in MediaWiki 1.36. [Called from Language::formatNum].

Details

Request ID
X5i5j6wQBHcAACBO5r4AAAAJ
Stack Trace
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, string, array)
#1 /srv/mediawiki/php-master/includes/debug/MWDebug.php(329): trigger_error(string, integer)
#2 /srv/mediawiki/php-master/includes/debug/MWDebug.php(305): MWDebug::sendRawDeprecated(string, boolean, string)
#3 /srv/mediawiki/php-master/includes/debug/MWDebug.php(234): MWDebug::deprecatedMsg(string, string, string, integer)
#4 /srv/mediawiki/php-master/includes/GlobalFunctions.php(1029): MWDebug::deprecated(string, string, string, integer)
#5 /srv/mediawiki/php-master/includes/media/FormatMetadata.php(1285): wfDeprecated(string, string)
#6 /srv/mediawiki/php-master/includes/media/FormatMetadata.php(997): FormatMetadata->formatNum(string)
#7 /srv/mediawiki/php-master/includes/media/FormatMetadata.php(92): FormatMetadata->makeFormattedData(array)
#8 /srv/mediawiki/php-master/includes/media/MediaHandler.php(549): FormatMetadata::getFormattedData(array, RequestContext)
#9 /srv/mediawiki/php-master/extensions/PdfHandler/includes/PdfHandler.php(367): MediaHandler->formatMetadataHelper(array, RequestContext)
#10 /srv/mediawiki/php-master/includes/filerepo/file/File.php(1919): PdfHandler->formatMetadata(ForeignAPIFile, RequestContext)
#11 /srv/mediawiki/php-master/includes/page/ImagePage.php(131): File->formatMetadata(RequestContext)
#12 /srv/mediawiki/php-master/includes/actions/ViewAction.php(74): ImagePage->view()
#13 /srv/mediawiki/php-master/includes/MediaWiki.php(530): ViewAction->show()
#14 /srv/mediawiki/php-master/includes/MediaWiki.php(316): MediaWiki->performAction(ImagePage, Title)
#15 /srv/mediawiki/php-master/includes/MediaWiki.php(943): MediaWiki->performRequest()
#16 /srv/mediawiki/php-master/includes/MediaWiki.php(546): MediaWiki->main()
#17 /srv/mediawiki/php-master/index.php(53): MediaWiki->run()
#18 /srv/mediawiki/php-master/index.php(46): wfIndexMain()
#19 /srv/mediawiki/w/index.php(3): require(string)
#20 {main}

Event Timeline

cscott created this task.Oct 28 2020, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2020, 2:57 PM
Restricted Application added a project: Commons. · View Herald TranscriptOct 28 2020, 3:12 PM
Krinkle triaged this task as High priority.Oct 28 2020, 3:50 PM

Change 637001 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Provide mechanism for MediaHandlers to override metadata formatting

https://gerrit.wikimedia.org/r/637001

Change 637002 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/PdfHandler@master] Don't try to format pdf-version or pdf-encrypted as numbers

https://gerrit.wikimedia.org/r/637002

Change 637697 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Extend FormatMetadata to handle non-numeric EXIF tags from PDF XMP data

https://gerrit.wikimedia.org/r/637697

Change 637001 merged by jenkins-bot:
[mediawiki/core@master] Provide mechanism for MediaHandlers to override metadata formatting

https://gerrit.wikimedia.org/r/637001

Change 637002 merged by jenkins-bot:
[mediawiki/extensions/PdfHandler@master] Don't try to format pdf-specific metadata as numbers

https://gerrit.wikimedia.org/r/637002

Change 637697 merged by jenkins-bot:
[mediawiki/core@master] Extend FormatMetadata to handle non-numeric EXIF tags from PDF XMP data

https://gerrit.wikimedia.org/r/637697

thcipriani raised the priority of this task from High to Unbreak Now!.Nov 2 2020, 6:48 PM
brennen added a subscriber: brennen.Nov 4 2020, 4:01 PM

Is there anything outstanding here? This looks resolved?

brennen lowered the priority of this task from Unbreak Now! to High.Nov 4 2020, 7:21 PM

Stuff seems to be merged to master, removing from train blockers. Re-add if that's not appropriate.

Aklapper assigned this task to cscott.Nov 25 2020, 10:59 AM

Is there anything outstanding here? This looks resolved?

@cscott: Can you please reply? Asking as you are the author of all patches.